### Class

# Aravis Gc

#### Description [src]

    final class Aravis.Gc : Aravis.DomDocument
    {
      /* No available fields */
    }

`ArvGc` implements the root document for the storage of the Genicam feature nodes. It builds the node tree by parsing an xml file in the Genicam standard format. See http://www.genicam.org.

#### Ancestors

- ArvDomDocument
- ArvDomNode
- GObject

#### Constructors

###### arv_gc_new

No description available.

###### arv_gc_p_value_indexed_node_new

No description available.

#### Functions

###### arv_gc_invalidator_has_changed

No description available.

#### Instance methods

###### arv_gc_get_access_check_policy

No description available.

###### arv_gc_get_buffer

Retrieves the binded buffer.

###### arv_gc_get_device

Retrieves the device handled by this genicam interface. The device is used for register access.

###### arv_gc_get_node

Retrieves a genicam node by name.

###### arv_gc_get_range_check_policy

No description available.

###### arv_gc_get_register_cache_policy

No description available.

###### arv_gc_register_feature_node

No description available.

###### arv_gc_set_access_check_policy

No description available.

###### arv_gc_set_buffer

No description available.

###### arv_gc_set_default_node_data

No description available.

###### arv_gc_set_range_check_policy

No description available.

###### arv_gc_set_register_cache_policy

No description available.

##### Methods inherited from ArvDomDocument (8)

###### arv_dom_document_append_from_memory

Append a chunk of xml tree to an existing document. The resulting nodes will be appended to `node`, or to `document` if `node` == NULL.

###### arv_dom_document_create_element

Create a new element.

###### arv_dom_document_create_text_node

Create a new text element.

###### arv_dom_document_get_document_element

No description available.

###### arv_dom_document_get_href_data

Load the content referenced by `href`.

###### arv_dom_document_get_url

No description available.

###### arv_dom_document_set_path

No description available.

###### arv_dom_document_set_url

No description available.

##### Methods inherited from ArvDomNode (17)

###### arv_dom_node_append_child

Adds the node `new_child` to the end of the list of children of this node. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_changed

No description available.

###### arv_dom_node_get_child_nodes

No description available.

###### arv_dom_node_get_first_child

No description available.

###### arv_dom_node_get_last_child

No description available.

###### arv_dom_node_get_next_sibling

No description available.

###### arv_dom_node_get_node_name

Gets the node name.

###### arv_dom_node_get_node_type

No description available.

###### arv_dom_node_get_node_value

Gets the node value.

###### arv_dom_node_get_owner_document

No description available.

###### arv_dom_node_get_parent_node

Get the parent node of `self`.

###### arv_dom_node_get_previous_sibling

No description available.

###### arv_dom_node_has_child_nodes

No description available.

###### arv_dom_node_insert_before

Inserts the node `new_child` before the existing child node `ref_child`. If `ref_child` is null, insert `new_child` at the end of the list of children. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_remove_child

Removes the child node indicated by `old_child` from the list of children, and returns it.

###### arv_dom_node_replace_child

Replaces the child node `old_child` with `new_child` in the list of children, and returns the `old_child` node. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_set_node_value

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisGcClass {
      ArvDomDocumentClass parent_class;

    }

No description available.

###### Class members

`parent_class: ArvDomDocumentClass`

  No description available.